public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Maciej Barć" <xgqt@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-lang/idris2/
Date: Wed, 21 Sep 2022 01:32:07 +0000 (UTC)	[thread overview]
Message-ID: <1663723925.37543217719631cd6d23892efbee57d703c81f20.xgqt@gentoo> (raw)

commit:     37543217719631cd6d23892efbee57d703c81f20
Author:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
AuthorDate: Wed Sep 21 00:39:37 2022 +0000
Commit:     Maciej Barć <xgqt <AT> gentoo <DOT> org>
CommitDate: Wed Sep 21 01:32:05 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=37543217

dev-lang/idris2: bump to 0.5.1_p20220920

Signed-off-by: Maciej Barć <xgqt <AT> gentoo.org>

 dev-lang/idris2/Manifest                      |   1 +
 dev-lang/idris2/idris2-0.5.1_p20220920.ebuild | 105 ++++++++++++++++++++++++++
 2 files changed, 106 insertions(+)

diff --git a/dev-lang/idris2/Manifest b/dev-lang/idris2/Manifest
index f5794839e9bd..7687442c26d6 100644
--- a/dev-lang/idris2/Manifest
+++ b/dev-lang/idris2/Manifest
@@ -1,3 +1,4 @@
 DIST idris2-0.5.1_p20211112.tar.gz 6202861 BLAKE2B 189bf28c7a33281494edea9b2c0821a934000fe9ca6e929b3318fe33576553142e5ad8d81598249cc384c6e342491ccef0998f33a4f2940b80264f5a3e4b32b2 SHA512 3b419ddbdc4aa3a28d92bf204448090c168d6a844d570886f982129f9e650c7112bbf95b727baf6c9f0f2fd6200c75eb68b6b71fd8684e01365eaf964dea1ea1
 DIST idris2-0.5.1_p20220131.tar.gz 6283472 BLAKE2B 86b75457b8772d0a8938a4d3422af08fa8e625b675cc2648bc9f2683a6654586ff91b8b1d592f72a3a44c72fa830f9ebc5ae0c451398e8cb5d3fdf5070f7f8ab SHA512 50f21819dee929f847a6b64c89231da9dd55bc35314300aa7d3c3c5ea0da451caba67081ca8b2ffd89608d3aaa042e9b9a6ecb2df0585589404bae3c6a2fe74a
 DIST idris2-0.5.1_p20220224.tar.gz 6299027 BLAKE2B 65654d76dc4a593826904321d78246da877ae71da95d56b4ee266de9676706e899bf9a1ae4293dde077a3ea50a860501fa4c3b8065a5b8d759d785954ea7b822 SHA512 6bea9e5ce01c64a893c39e7aacceef5d4f6bfd499f0b4ca17681bea6ab11620e0058faba8bdd84eecacf3f8d1cfe2594ca830aff89f2cfde2208fdc092fc37f1
+DIST idris2-0.5.1_p20220920.tar.gz 6410473 BLAKE2B 91af285cf02cb6adcad330050a4d201116f8dcfdac0021b8b9110789e7f461a54ac6ca1f1ee421a38be0ff83a780e64e5c02ee0a40fe7bc5d361b6aa551b30ad SHA512 5c006b8ecb74bd5261bcc1db94cbcf8d818b7838907916befb0c20681febe52963197b0406aef466858f37c75f3a1028e05d772dc323d172ad7a79781088304d

diff --git a/dev-lang/idris2/idris2-0.5.1_p20220920.ebuild b/dev-lang/idris2/idris2-0.5.1_p20220920.ebuild
new file mode 100644
index 000000000000..d3ca44e77e3d
--- /dev/null
+++ b/dev-lang/idris2/idris2-0.5.1_p20220920.ebuild
@@ -0,0 +1,105 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+H=1142f73e05fef6a57141b8328944b13872d4135e
+
+inherit toolchain-funcs
+
+DESCRIPTION="Purely functional programming language with first class types"
+HOMEPAGE="https://idris-lang.org/"
+
+if [[ "${PV}" == *9999* ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/idris-lang/${PN^}.git"
+else
+	SRC_URI="https://github.com/idris-lang/${PN^}/archive/${H}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+	S="${WORKDIR}/${PN^}-${H}"
+fi
+
+LICENSE="BSD"
+SLOT="0"
+IUSE="+chez doc racket test-full"
+REQUIRED_USE="^^ ( chez racket )"
+
+RDEPEND="
+	dev-libs/gmp
+	chez? ( dev-scheme/chez:=[threads] )
+	racket? ( dev-scheme/racket:=[threads] )
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	doc? ( dev-python/sphinx_rtd_theme )
+	test-full? (
+		dev-scheme/chez[threads]
+		dev-scheme/racket[threads]
+		net-libs/nodejs
+	)
+"
+
+# Generated via "SCHEME", not CC
+QA_FLAGS_IGNORED="usr/lib/idris2/bin/idris2_app/idris2
+	usr/lib/idris2/bin/idris2_app/idris2-boot"
+QA_PRESTRIPPED="${QA_FLAGS_IGNORED}"
+
+src_prepare() {
+	# Clean up environment of Idris and Racket variables
+	unset IDRIS2_DATA IDRIS2_INC_CGS IDRIS2_LIBS IDRIS2_PACKAGE_PATH
+	unset IDRIS2_PATH IDRIS2_PREFIX
+	unset PLTUSERHOME
+
+	tc-export AR CC CXX LD RANLIB
+	export CFLAGS
+	sed -i '/^CFLAGS/d' ./support/*/Makefile || die
+
+	# Fix "PREFIX"
+	sed -i 's|$(HOME)/.idris2|/usr/lib/idris2|g' ./config.mk || die
+
+	# Bad tests
+	# Weird Racket Futures (parallelism) test, might need further investigation
+	sed -i 's|, "futures001"||g' ./tests/Main.idr || die
+	# > Missing incremental compile data, reverting to whole program compilation
+	sed -i 's|"chez033",||g' ./tests/Main.idr || die
+
+	default
+}
+
+src_configure() {
+	export IDRIS2_VERSION=${PV}
+	export SCHEME=$(usex chez chezscheme racket)
+
+	if use chez ; then
+		export IDRIS2_CG=chez
+		export BOOTSTRAP_TARGET=bootstrap
+	elif use racket ; then
+		export IDRIS2_CG=racket
+		export BOOTSTRAP_TARGET=bootstrap-racket
+	else
+		die 'Neither "chez" nor "racket" was chosen'
+	fi
+}
+
+src_compile() {
+	# > jobserver unavailable
+	# This is caused by Makefile using a script which in turn calls make
+	# https://github.com/idris-lang/Idris2/issues/2152
+	emake SCHEME=${SCHEME} ${BOOTSTRAP_TARGET} -j1
+
+	use doc && emake -C ./docs html
+}
+
+src_test() {
+	emake SCHEME=${SCHEME} bootstrap-test
+}
+
+src_install() {
+	# "DESTDIR" variable is not respected, use "PREFIX" instead
+	emake IDRIS2_PREFIX="${D}"/usr/lib/idris2 PREFIX="${D}"/usr/lib/idris2 install
+	dosym ../lib/${PN}/bin/${PN} /usr/bin/${PN}
+
+	# Install documentation
+	use doc && dodoc -r ./docs/build/html
+	einstalldocs
+}


             reply	other threads:[~2022-09-21  1:32 UTC|newest]

Thread overview: 14+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-09-21  1:32 Maciej Barć [this message]
  -- strict thread matches above, loose matches on Subject: below --
2023-10-04  8:11 [gentoo-commits] repo/gentoo:master commit in: dev-lang/idris2/ Maciej Barć
2023-10-04  8:11 Maciej Barć
2023-02-02 17:46 Maciej Barć
2022-11-01  2:38 Maciej Barć
2022-11-01  2:38 Maciej Barć
2022-09-21  1:32 Maciej Barć
2022-05-05 12:22 Maciej Barć
2022-02-27  0:12 Maciej Barć
2022-02-01  3:46 Maciej Barć
2021-12-27 15:59 Maciej Barć
2021-11-27 21:59 Maciej Barć
2021-11-27 21:11 Maciej Barć
2021-11-27 20:13 Maciej Barć

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1663723925.37543217719631cd6d23892efbee57d703c81f20.xgqt@gentoo \
    --to=xgqt@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox